Get a break
curl --request GET \
--url https://api.panoqore.example/v1/recon/breaks/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/recon/breaks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/recon/breaks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/recon/breaks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"kind": "UNBOUND_CREDIT",
"status": "OPEN",
"title": "<string>",
"partner": "<string>",
"partnerName": "<string>",
"currency": "<string>",
"partnerAmount": "<string>",
"ledgerAmount": "<string>",
"difference": "<string>",
"externalId": "<string>",
"accountNumber": "<string>",
"entryId": "<string>",
"statementId": "<string>",
"assignedTo": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvalId": "<string>",
"resolution": "<string>",
"notes": [
{
"by": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"text": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"openedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Reconciliation
Get a break
Scope: any one of read, entries:write.
GET
/
v1
/
recon
/
breaks
/
{id}
Get a break
curl --request GET \
--url https://api.panoqore.example/v1/recon/breaks/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/recon/breaks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/recon/breaks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/recon/breaks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"kind": "UNBOUND_CREDIT",
"status": "OPEN",
"title": "<string>",
"partner": "<string>",
"partnerName": "<string>",
"currency": "<string>",
"partnerAmount": "<string>",
"ledgerAmount": "<string>",
"difference": "<string>",
"externalId": "<string>",
"accountNumber": "<string>",
"entryId": "<string>",
"statementId": "<string>",
"assignedTo": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvalId": "<string>",
"resolution": "<string>",
"notes": [
{
"by": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"text": "<string>",
"at": "2023-11-07T05:31:56Z"
}
],
"openedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Path Parameters
The id.
Response
OK
brk_…
UNBOUND_CREDIT: credit to a number with no active binding
MISSING_AT_PARTNER: in the ledger, not on the statement
MISSING_IN_LEDGER: on the statement, not in the ledger (for example a partner charge)
Available options:
UNBOUND_CREDIT, AMOUNT_MISMATCH, MISSING_AT_PARTNER, MISSING_IN_LEDGER, DUPLICATE_NOTICE, DUPLICATE_POSTING PROPOSED: an adjustment is waiting for approval
Available options:
OPEN, PROPOSED, RESOLVED empty when the partner has no line Minor units, as a string.
empty when the ledger has no entry Minor units, as a string.
partner minus ledger, signed Minor units, as a string.
the partner's transaction id
where the partner says it went
Who did something: a person signed in to the console, or an API key.
Show child attributes
Show child attributes
Show child attributes
Show child attributes